StarItem Class Reference

class to store an item: ie. More...

`#include <StarItem.hxx>`

## Public Member Functions

| StarItem (int which)
| constructor
| StarItem (std::shared_ptr< StarAttribute > attribute, int which)
| constructor from attribute

## Public Attributes

std::shared_ptr< StarAttribute > | m_attribute
| the attribute if loaded
int | m_which
| the which id
int | m_surrogateId
| the surrogate id
bool | m_localId
| true if which is local

## Private Member Functions

| StarItem (StarItem const &)
StarItem & | operator= (StarItem const &)

## Detailed Description

class to store an item: ie.

an attribute whose reading is potentially retarded

## Constructor & Destructor Documentation

## StarItem() [1/3]

StarItem::StarItem | ( | int | which | ) |

inline explicit

constructor

Referenced by operator=(), and StarItem().

## StarItem() [2/3]

StarItem::StarItem | ( | std::shared_ptr< StarAttribute > | attribute,
|  | int | which )

inline

constructor from attribute

## StarItem() [3/3]

StarItem::StarItem | ( | StarItem const & |  | ) |

private

## Member Function Documentation

## operator=()

StarItem & StarItem::operator= | ( | StarItem const & |  | ) |

private

## Member Data Documentation

## m_attribute

std::shared_ptr<StarAttribute> StarItem::m_attribute

the attribute if loaded

Referenced by StarItemPool::loadSurrogate(), StarItem(), and StarItem().

## m_localId

bool StarItem::m_localId

true if which is local

Referenced by StarItemPool::loadSurrogate(), StarItem(), and StarItem().

## m_surrogateId

int StarItem::m_surrogateId

the surrogate id

Referenced by StarItemPool::loadSurrogate(), StarItem(), and StarItem().

## m_which

int StarItem::m_which

the which id

Referenced by StarItemPool::loadSurrogate(), StarItem(), and StarItem().

The documentation for this class was generated from the following file:

- StarItem.hxx